Bug 984238 - Kerberos authentication fails with 'Need more authentication tokens'
Kerberos authentication fails with 'Need more authentication tokens'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Roland Mainz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 17:05 EDT by David Woodhouse
Modified: 2015-09-08 13:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:08:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2013-07-13 17:05:57 EDT
Firefox just failed to authenticate to an internal web site using Kerberos.

After submitting what looks like a normal request with a large
Authorization: Negotiate YIINsQYGKwYBBQUCoIINpTCCDaGgCjAIBgYrBgEFAg....
header which will contain my ticket for that service, the server responded thus:

HTTP/1.1 401 More authentication tokens required
WWW-Authenticate: Negotiate oQcwBaADCgEC

What was it asking for, and why did this not work?

(FWIW, NTLM authentication via samba/winbind didn't work *either* (Samba bug 10016). The only thing I could get to work was Firefox's native NTLM support, after disabling all forms of single-sign-on to make it give me a password dialog)
Comment 1 Nalin Dahyabhai 2013-07-15 17:14:10 EDT
Do you have more of the data which your client sent to the server?  It looks like an SPNEGO token, but the OID of the underlying mechanism the client is proposing to use is truncated before the final byte.  All we get is 1.3.6.1.5.2.something (if that something's a 5, then it's IAKERB).

The data blob the server sent back decodes to
C-[1]  (7)
   C-Sequence  (5)
      C-[0]  (3)
         Enumerated  (1)
            02 
which looks like an SPNEGO response token indicating negState == reject.
Comment 2 David Woodhouse 2013-07-15 17:37:16 EDT
This ticket is expired now. For my own reference, however, what prevents it from being replayed? Is there a very short timeout on the message itself, in addition to the expiry of the service ticket?

00000000  60 82 0d b1 06 06 2b 06  01 05 05 02 a0 82 0d a5  |`.....+.........|
00000010  30 82 0d a1 a0 0a 30 08  06 06 2b 06 01 05 02 05  |0.....0...+.....|
00000020  a2 82 0d 91 04 82 0d 8d  60 82 0d 89 06 06 2b 06  |........`.....+.|
00000030  01 05 02 05 05 01 30 16  a1 14 04 12 47 45 52 2e  |......0.....GER.|
00000040  43 4f 52 50 2e 49 4e 54  45 4c 2e 43 4f 4d 6c 82  |CORP.INTEL.COMl.|
00000050  0d 63 30 82 0d 5f a1 03  02 01 05 a2 03 02 01 0c  |.c0.._..........|
00000060  a3 82 0c b6 30 82 0c b2  30 82 0b a6 a1 03 02 01  |....0...0.......|
00000070  01 a2 82 0b 9d 04 82 0b  99 6e 82 0b 95 30 82 0b  |.........n...0..|
00000080  91 a0 03 02 01 05 a1 03  02 01 0e a2 07 03 05 00  |................|
00000090  00 00 00 00 a3 82 0a c5  61 82 0a c1 30 82 0a bd  |........a...0...|
000000a0  a0 03 02 01 05 a1 14 1b  12 47 45 52 2e 43 4f 52  |.........GER.COR|
000000b0  50 2e 49 4e 54 45 4c 2e  43 4f 4d a2 27 30 25 a0  |P.INTEL.COM.'0%.|
000000c0  03 02 01 02 a1 1e 30 1c  1b 06 6b 72 62 74 67 74  |......0...krbtgt|
000000d0  1b 12 47 45 52 2e 43 4f  52 50 2e 49 4e 54 45 4c  |..GER.CORP.INTEL|
000000e0  2e 43 4f 4d a3 82 0a 75  30 82 0a 71 a0 03 02 01  |.COM...u0..q....|
000000f0  12 a1 03 02 01 03 a2 82  0a 63 04 82 0a 5f f7 45  |.........c..._.E|
00000100  be be e3 e6 23 d7 63 9f  0d 9e 3d 19 4d 1e 16 7d  |....#.c...=.M..}|
00000110  af 61 b7 66 e4 72 5e e2  62 eb 1c 9a c2 9b 5f e9  |.a.f.r^.b....._.|
00000120  0e e2 d0 9f ac ea e7 c3  50 b1 15 6c 4d a4 c0 41  |........P..lM..A|
00000130  d2 d3 31 9f 53 ab 9c b1  9c 71 46 13 d1 a2 1a b6  |..1.S....qF.....|
00000140  e3 d5 dd e1 25 a0 94 39  5c 32 62 96 ce 46 5d 33  |....%..9\2b..F]3|
00000150  4e 31 9a 1c a6 6d e2 9e  d3 9d f7 f0 f6 99 2e 1a  |N1...m..........|
00000160  53 e4 fc 60 90 d3 60 18  44 a4 f3 11 21 18 2f 05  |S..`..`.D...!./.|
00000170  11 91 42 ec 3a 79 3c 7e  bc 4b da b6 d8 96 3d d7  |..B.:y<~.K....=.|
00000180  87 55 66 ba 83 47 a1 6f  0e a2 99 b9 5d a3 95 37  |.Uf..G.o....]..7|
00000190  c5 ea 88 ff d5 00 b1 44  cd 96 dc be 7a 69 3f 3a  |.......D....zi?:|
000001a0  1a 84 de 3d 58 26 8b b6  1b 8e 25 3f ba fb c5 10  |...=X&....%?....|
000001b0  54 8d b7 44 04 dc 41 98  b2 e2 0a 82 e3 f5 08 b0  |T..D..A.........|
000001c0  09 88 9d 68 f8 28 ad 28  31 29 f0 ef 55 7d db ef  |...h.(.(1)..U}..|
000001d0  0f f2 da 88 a5 f6 c1 1a  66 2a 26 13 3c 61 06 ca  |........f*&.<a..|
000001e0  d7 e0 09 8b b5 dd 2f c1  50 4c 66 fc a6 c2 92 9b  |....../.PLf.....|
000001f0  4d 0b d8 b7 07 92 e7 64  63 f6 cf 26 3a 80 92 e2  |M......dc..&:...|
00000200  12 f3 d1 ae 72 51 67 e0  76 2c 4f 87 d8 ab 44 54  |....rQg.v,O...DT|
00000210  2b de 3b da 01 d4 e1 55  e1 91 47 2b 05 24 68 06  |+.;....U..G+.$h.|
00000220  67 08 7e ee 6c 0b d2 0a  69 e6 19 91 3d 6d 28 f3  |g.~.l...i...=m(.|
00000230  80 27 5f 80 96 06 e5 fc  5f 81 d4 7e b5 f3 91 ad  |.'_....._..~....|
00000240  02 e1 4b fc da eb 6f c9  23 c3 23 27 0f 3b 9d 19  |..K...o.#.#'.;..|
00000250  23 6b a2 71 1f a2 66 10  68 80 0b bc f0 51 6e 2a  |#k.q..f.h....Qn*|
00000260  89 97 eb 52 7a 39 83 18  fd a7 38 4a 0b 89 68 cc  |...Rz9....8J..h.|
00000270  7e 06 70 a9 59 5a 76 6c  8b 97 63 64 0e 1f 1a 48  |~.p.YZvl..cd...H|
00000280  61 cd 4d 7e 94 7e a8 f9  21 7b 53 b7 a6 f6 dc f6  |a.M~.~..!{S.....|
00000290  bd 4c dd 81 cd ff 14 df  1c 8f 99 9c 58 47 47 45  |.L..........XGGE|
000002a0  d7 7a 17 82 fe fc 5d dc  5a c8 e6 2d 19 99 f2 cd  |.z....].Z..-....|
000002b0  6a 36 b1 6c 8e 45 6c d8  a9 6c 3d f5 80 7c 54 cb  |j6.l.El..l=..|T.|
000002c0  95 36 61 53 9a cc b1 32  35 c9 e7 ce 20 96 11 e3  |.6aS...25... ...|
000002d0  ee 7b 67 58 ae c7 29 0e  94 49 d3 74 51 66 c4 4d  |.{gX..)..I.tQf.M|
000002e0  23 5d 50 1a 4a 91 b5 c0  98 dc 1d fe 35 a3 e1 aa  |#]P.J.......5...|
000002f0  61 a1 a6 15 27 f2 bb e8  e0 c8 f6 16 65 8b 80 af  |a...'.......e...|
00000300  4e 13 46 99 db ae d9 b7  57 ec 0d 3b b9 48 58 38  |N.F.....W..;.HX8|
00000310  f8 6d 3e 94 a6 2e e1 ac  a6 f2 e2 aa 63 d9 cb 95  |.m>.........c...|
00000320  39 11 17 00 70 0d 98 a0  2a 23 f0 f3 80 c1 30 d5  |9...p...*#....0.|
00000330  e4 2e eb cb 7c d8 7e 58  c3 de 41 4b 02 5b 1b 11  |....|.~X..AK.[..|
00000340  e4 e5 f7 15 ce 06 10 39  34 8d e0 71 e6 28 bb 6b  |.......94..q.(.k|
00000350  d2 5b df aa 66 69 c8 44  d1 b1 b9 fe 94 7c 76 96  |.[..fi.D.....|v.|
00000360  f8 48 76 c8 0e 88 de 0c  fd 54 50 81 51 83 90 51  |.Hv......TP.Q..Q|
00000370  d8 34 0b c1 ff 53 b5 8e  e2 9b 95 98 d4 3f 82 48  |.4...S.......?.H|
00000380  e1 55 5a 7f d8 45 bd 3e  0b 0e 30 f3 2b 77 3b aa  |.UZ..E.>..0.+w;.|
00000390  be f8 c5 c7 02 13 fa 23  e4 23 c8 40 eb cd f5 5e  |.......#.#.@...^|
000003a0  35 49 ba 81 45 33 c6 8a  4f b5 ef dd 37 6a 8b 54  |5I..E3..O...7j.T|
000003b0  7c bb 72 a2 4d df 0b 27  8a f4 56 9e c2 09 83 16  ||.r.M..'..V.....|
000003c0  e8 65 27 a7 8a 40 64 8f  dc 6f c7 18 4f eb 96 12  |.e'..@d..o..O...|
000003d0  49 4f f3 c5 fb 49 37 79  b3 b5 38 b9 18 01 5b 74  |IO...I7y..8...[t|
000003e0  96 ae 5a 76 80 81 3e 25  2d 88 6a 32 67 e0 9a 5f  |..Zv..>%-.j2g.._|
000003f0  97 83 05 33 e6 bd b9 a3  4b 1b c9 4d 07 65 c2 3b  |...3....K..M.e.;|
00000400  2f 43 1f 86 27 85 ca f7  e0 f4 78 4c 40 a6 03 83  |/C..'.....xL@...|
00000410  dd fc bc 59 3f 5e b6 56  ac bd 54 05 32 09 cc b0  |...Y?^.V..T.2...|
00000420  e7 96 c9 c8 dd 43 bc 4a  f1 3d cb a7 af 4c 0f d9  |.....C.J.=...L..|
00000430  ae 9e a0 8d 22 b5 5c 0b  ed bc 93 79 57 fe 82 66  |....".\....yW..f|
00000440  38 1b 78 35 f0 25 fe 6a  62 6b 81 2e ce fa 34 5f  |8.x5.%.jbk....4_|
00000450  6b fb 13 58 16 0e c2 ee  a9 05 86 71 ee 11 f6 ca  |k..X.......q....|
00000460  41 83 2f ba 3b 67 05 2d  8f fc 7d 22 e5 f1 b4 c0  |A./.;g.-..}"....|
00000470  b6 6b 76 30 ff a5 b6 a1  7e ca b6 a7 ce 27 2b f2  |.kv0....~....'+.|
00000480  aa 46 7c 24 60 19 93 9d  ea d5 97 97 6b 7b 59 52  |.F|$`.......k{YR|
00000490  9b 5b 4e 24 63 3e ab 12  ab 71 9c c3 96 31 cd 42  |.[N$c>...q...1.B|
000004a0  bf f2 20 ce 7d 9e 12 44  21 9a 80 e8 ce b3 67 9f  |.. .}..D!.....g.|
000004b0  04 72 47 7c 72 f7 82 38  e0 ce b9 07 aa a5 1d c1  |.rG|r..8........|
000004c0  ec 63 3f 58 cf 46 4f bf  79 ab b1 c8 55 be 5c 40  |.c?X.FO.y...U.\@|
000004d0  2a 9e 58 39 31 d6 b9 80  95 0e ad c5 ff 37 6c 6f  |*.X91........7lo|
000004e0  1a d4 cc ba c9 36 e8 01  a4 06 88 3d d2 4b 36 0e  |.....6.....=.K6.|
000004f0  d9 cc 84 cb 46 79 51 cd  7a 6c 7a d3 a0 d5 6d 1c  |....FyQ.zlz...m.|
00000500  c2 fd 2f 05 f8 dd 62 40  4a fb a0 be c2 cf 14 3a  |../...b@J......:|
00000510  60 2f 49 e9 7e c0 04 59  ac 3e e3 05 12 e9 88 19  |`/I.~..Y.>......|
00000520  94 2c 14 59 33 71 d0 ff  00 1c 96 b7 c6 62 34 86  |.,.Y3q.......b4.|
00000530  85 f2 c1 b8 90 50 fb 0d  a7 5a ac 34 1e bd 41 e7  |.....P...Z.4..A.|
00000540  3b dc 19 c8 3a 30 eb 99  ba 99 91 14 35 eb 7f 67  |;...:0......5..g|
00000550  77 2c b3 c7 0e fc 0a 5e  52 44 6a 57 78 d5 67 a1  |w,.....^RDjWx.g.|
00000560  5c 7a 88 93 7d ff f3 68  a7 9d 1e 6b e9 d0 cf 44  |\z..}..h...k...D|
00000570  54 a6 42 bc 89 f8 1d c6  48 fd 03 3c bd 4c be dd  |T.B.....H..<.L..|
00000580  18 d9 51 73 6b 33 1e 4f  37 02 51 c1 eb 7b cc f5  |..Qsk3.O7.Q..{..|
00000590  a7 54 4c c6 47 3c f1 3f  ae 28 05 e9 07 57 3e 2e  |.TL.G<.?.(...W>.|
000005a0  d2 0e 55 e0 ca 41 3d 91  22 c8 6a 62 4f b4 61 e3  |..U..A=.".jbO.a.|
000005b0  26 b9 b4 b6 a6 ea 5b 35  99 de 88 84 b6 8f 35 4c  |&.....[5......5L|
000005c0  1f c5 a2 ec 72 63 7c 2b  6d 3b 86 31 1c 1e 01 30  |....rc|+m;.1...0|
000005d0  2b 7c c8 64 69 92 96 95  1d 98 f3 00 95 be 1d 72  |+|.di..........r|
000005e0  42 a9 96 56 85 da a2 ac  8a 89 32 e9 35 6c 56 29  |B..V......2.5lV)|
000005f0  2c 2d 84 08 2a 0b 1f 96  50 e9 52 9e a2 70 24 52  |,-..*...P.R..p$R|
00000600  29 87 30 71 4e b5 d0 42  14 5b 28 69 cd 78 b8 b3  |).0qN..B.[(i.x..|
00000610  1a 3c 23 21 27 1f 88 fd  41 3f c4 06 f4 9b 2f 39  |.<#!'...A?..../9|
00000620  b8 ad 43 a5 ba 21 da d3  30 cd a0 95 7e c4 a8 64  |..C..!..0...~..d|
00000630  39 9d d0 c4 ac d7 7a 13  a5 90 73 82 55 b7 8f bd  |9.....z...s.U...|
00000640  f4 04 3b 17 b9 de 3d 5d  e6 12 99 22 7f 04 2e 27  |..;...=]..."...'|
00000650  27 0e 1e 98 5c f3 77 f1  db 3a cd 97 fb 43 05 3c  |'...\.w..:...C.<|
00000660  3b 71 b6 e0 41 24 11 c1  8d 09 82 0b 87 b3 82 0b  |;q..A$..........|
00000670  a2 82 0e 56 ae a1 d8 e9  09 d2 cc 2e 97 45 11 33  |...V.........E.3|
00000680  31 4e bc 8e 3b a9 43 52  3f ae 99 42 72 5a fc f8  |1N..;.CR?..BrZ..|
00000690  7a 6e a7 9c 1e fd 0d 4b  32 14 10 cb 02 05 57 9b  |zn.....K2.....W.|
000006a0  af 5c 2c 47 24 ed 1f 3e  1c aa 93 18 30 7a 45 28  |.\,G$..>....0zE(|
000006b0  9b 62 94 fd ad ac 15 17  49 6b 92 09 5a 21 aa 72  |.b......Ik..Z!.r|
000006c0  65 dd 4b 64 7b e1 c0 35  24 c1 24 f8 af 4c 2b 92  |e.Kd{..5$.$..L+.|
000006d0  47 11 a4 51 be 9c 5d 33  f2 9e a8 e2 ee 8f 8f ee  |G..Q..]3........|
000006e0  3f 1c 98 4a ac 8e 24 3f  24 a5 0a a0 3f 04 73 57  |?..J..$?$...?.sW|
000006f0  17 58 32 89 e5 2c 4f 2f  b3 49 1e fe 69 85 65 fa  |.X2..,O/.I..i.e.|
00000700  65 55 85 dd b2 ac e6 dc  c9 af 0a 90 05 7c ac 74  |eU...........|.t|
00000710  df c2 2c f7 4d 47 75 e1  9c 03 5e bd 33 3b 56 4f  |..,.MGu...^.3;VO|
00000720  22 86 ac 27 6c a7 1e ca  d6 88 ee 2d 9a 01 71 60  |"..'l......-..q`|
00000730  24 cc d5 f3 03 f5 23 30  ca 15 d0 29 12 5b 93 1c  |$.....#0...).[..|
00000740  25 12 a8 59 ff eb b1 34  d8 ab fa 55 83 7f a8 3c  |%..Y...4...U...<|
00000750  55 de 0f cf 27 18 08 6b  dd 7c 76 af 28 7d 1d 5e  |U...'..k.|v.(}.^|
00000760  a1 a5 f0 d7 d2 0f 40 bb  3b 0e 8f ce 6c ab 74 33  |......@.;...l.t3|
00000770  4e 04 38 ed 20 a1 eb 5b  03 70 90 9c 05 8a d9 11  |N.8. ..[.p......|
00000780  39 65 51 41 9a 55 56 9a  6e c4 8a aa 0b df fb 44  |9eQA.UV.n......D|
00000790  9a 49 5d 49 44 66 00 5b  9f 0a c2 cc 1f 38 91 19  |.I]IDf.[.....8..|
000007a0  81 39 49 64 e0 26 dd ee  14 2c 00 86 73 98 37 d6  |.9Id.&...,..s.7.|
000007b0  a5 20 c2 c2 7e 5d 17 87  64 63 22 05 a4 6f 87 ed  |. ..~]..dc"..o..|
000007c0  ec b9 e2 df ae d3 b8 ef  6d d3 9b 39 21 a8 f1 6d  |........m..9!..m|
000007d0  62 62 31 9d 86 97 f8 55  35 1f 7e 20 b0 0e 1f 3a  |bb1....U5.~ ...:|
000007e0  b5 40 b3 49 7a 23 08 7b  23 c2 ee 03 e0 f0 a2 31  |.@.Iz#.{#......1|
000007f0  23 6d 0c be 1e bc 54 54  7e a9 7c 19 cf 3d e0 58  |#m....TT~.|..=.X|
00000800  58 b5 27 68 ea 91 c6 9f  2b cc 06 c9 6a c7 db 20  |X.'h....+...j.. |
00000810  3f b9 5d c8 d2 f3 a2 37  41 de 40 fc 6c 43 62 05  |?.]....7A.@.lCb.|
00000820  f2 3d bb dd 39 b4 a1 93  c4 21 9e 5e d8 7d bd 5d  |.=..9....!.^.}.]|
00000830  97 74 60 16 c7 df 52 7c  99 bc 04 af cc cd 89 1b  |.t`...R|........|
00000840  6d 1c b9 0d cc 0d 4e ed  cc 69 0a 1d c9 87 d9 71  |m.....N..i.....q|
00000850  d3 fb 90 b6 98 02 c1 62  34 f0 28 4c 55 c5 ad b4  |.......b4.(LU...|
00000860  ac 1b 4a b7 6e a7 6e 0e  1f d6 ca 43 21 ca 8d f4  |..J.n.n....C!...|
00000870  07 51 09 d9 85 b8 08 c9  38 d3 8f 1b bb b2 2f 73  |.Q......8...../s|
00000880  2a dc 0c d0 c1 d0 46 f8  3c 73 36 ab c3 ce 8e 92  |*.....F.<s6.....|
00000890  49 63 e5 a3 0e c7 45 0d  a7 29 ae dc 04 74 ea e3  |Ic....E..)...t..|
000008a0  d9 d1 63 64 af c6 ba 58  67 c2 82 bf de 3f 5d 91  |..cd...Xg....?].|
000008b0  61 40 5b 73 f9 63 75 5c  e7 6e 10 54 09 5d 47 37  |a@[s.cu\.n.T.]G7|
000008c0  af 21 f9 b4 25 11 7e 10  e7 4a 6d 2b ca f3 9a 95  |.!..%.~..Jm+....|
000008d0  e1 5f cb d6 6c 98 36 7d  a0 cd 60 58 16 24 a3 79  |._..l.6}..`X.$.y|
000008e0  0c 71 1e 61 52 08 05 1a  2a 7e a4 a9 3b 23 26 e4  |.q.aR...*~..;#&.|
000008f0  9a 07 11 77 24 e2 e7 52  5b ec 51 15 2e 24 05 4b  |...w$..R[.Q..$.K|
00000900  34 02 0c b4 d3 0b 7e d0  33 a8 6a 91 f3 aa 85 d9  |4.....~.3.j.....|
00000910  97 9c 15 a9 73 15 41 05  78 30 21 90 6e 9d 02 f4  |....s.A.x0!.n...|
00000920  ec 13 9c 2d 3e b1 fd 4b  cb b0 d3 c7 07 a9 5f cc  |...->..K......_.|
00000930  ad 10 8e 49 8a 21 38 df  ae e6 ef 5e 28 4b ab 83  |...I.!8....^(K..|
00000940  87 86 25 e6 e9 b8 a0 15  aa 80 5a bf 3e 1d 89 b3  |..%.......Z.>...|
00000950  23 23 f9 26 af 2e ed db  df 7f 08 99 47 c7 72 10  |##.&........G.r.|
00000960  9f 5d 9a b6 fb 71 f3 2b  d5 93 c9 c5 42 9c 0d 86  |.]...q.+....B...|
00000970  a7 aa 92 b7 3b a8 97 87  4c 1a 8a 51 a0 44 37 3f  |....;...L..Q.D7?|
00000980  fc 60 ab fe 27 e3 16 7c  2b 5d 43 b8 04 c9 a0 d9  |.`..'..|+]C.....|
00000990  2c 52 2f e3 7a ca f0 ad  0a e3 18 3f 69 ff aa de  |,R/.z......?i...|
000009a0  78 e0 b7 80 54 be 49 35  83 10 3b ec f1 54 38 05  |x...T.I5..;..T8.|
000009b0  18 dc b4 00 22 83 12 de  0f 7b ea 25 06 b7 81 1b  |...."....{.%....|
000009c0  3d 3e 72 96 76 c1 a5 d5  4e 8b 70 26 ab 1d 67 aa  |=>r.v...N.p&..g.|
000009d0  49 cc c1 e4 89 10 c4 f7  cf c0 c8 4f 60 87 0e d1  |I..........O`...|
000009e0  22 2b 70 ac 14 45 19 08  93 3b 39 14 f1 7a 72 9d  |"+p..E...;9..zr.|
000009f0  d5 89 fe 59 47 15 50 93  41 ab 3f b2 47 67 c4 57  |...YG.P.A.?.Gg.W|
00000a00  b4 e5 e5 91 26 0c 43 f9  83 24 b9 b8 6f cb ee 39  |....&.C..$..o..9|
00000a10  ad f2 44 f3 51 93 a9 16  a2 68 4b ff 53 3a 13 39  |..D.Q....hK.S:.9|
00000a20  94 9d d7 4e 75 02 aa ec  6d 71 66 25 65 72 75 13  |...Nu...mqf%eru.|
00000a30  94 fc 2c 1a a6 af 0f b4  d5 2c eb a6 0e d9 d3 95  |..,......,......|
00000a40  b3 bc db 3d bf 8c 3b c0  a7 99 aa 57 33 ee 3c 67  |...=..;....W3.<g|
00000a50  21 98 46 87 be a6 fd 20  69 c0 c1 91 f3 5c 68 84  |!.F.... i....\h.|
00000a60  e9 33 2d dd 8b 1f 2b 89  e8 e3 0d 47 81 47 5b 28  |.3-...+....G.G[(|
00000a70  f2 28 e1 63 ca f8 0e b4  61 18 ef 1f 52 50 78 d3  |.(.c....a...RPx.|
00000a80  0a 21 2d 45 08 eb 42 f2  3d 71 70 7f ea d7 42 fd  |.!-E..B.=qp...B.|
00000a90  fa 98 ca 6b db 41 ad a2  65 97 fa 3d 53 98 72 73  |...k.A..e..=S.rs|
00000aa0  f0 5c 38 5e a5 1c 78 9b  4e 51 9a 10 49 c1 8c cf  |.\8^..x.NQ..I...|
00000ab0  e3 34 b3 b7 4d c5 84 cc  f6 29 88 a5 7b 65 4b 20  |.4..M....)..{eK |
00000ac0  85 1b 72 cc c1 07 d6 c2  95 81 e4 5a 80 f0 ec ca  |..r........Z....|
00000ad0  5e 48 8a a8 1d fe 42 32  3b 0c 7e 12 7c f9 93 b6  |^H....B2;.~.|...|
00000ae0  94 92 a2 42 db 4a ed 19  14 f6 6b 1d cb 59 da 8c  |...B.J....k..Y..|
00000af0  14 bf c9 23 86 c2 da 5a  75 25 f0 d7 20 f6 5e 07  |...#...Zu%.. .^.|
00000b00  26 d6 f8 6c 56 1d c9 99  5f b9 be 7e 7f b3 2a c1  |&..lV..._..~..*.|
00000b10  30 c8 10 ce bf c4 71 b5  77 cd a0 e5 75 f8 d1 a0  |0.....q.w...u...|
00000b20  09 f0 2d 55 78 3e 28 1d  3d d8 e0 ad 4b 99 70 5b  |..-Ux>(.=...K.p[|
00000b30  67 06 46 f2 20 5c 60 3a  9a 99 6e 0a 00 74 6b 73  |g.F. \`:..n..tks|
00000b40  26 be a8 02 73 c7 20 de  7c dc 39 26 d2 32 4a 9d  |&...s. .|.9&.2J.|
00000b50  03 01 33 a4 f8 94 69 d4  47 92 2a 5a 02 a4 81 b2  |..3...i.G.*Z....|
00000b60  30 81 af a0 03 02 01 17  a2 81 a7 04 81 a4 f0 a3  |0...............|
00000b70  47 34 59 6b c4 11 a7 3c  6c 59 73 83 8c 3e 28 57  |G4Yk...<lYs..>(W|
00000b80  70 68 7b 63 d1 d4 cf b8  e1 ae a5 7a d7 d3 a6 aa  |ph{c.......z....|
00000b90  ab 7a 0a 69 e6 0c 96 54  6e 9a 20 3e 75 c0 30 6b  |.z.i...Tn. >u.0k|
00000ba0  ed 2f 7c ab da 5d 93 90  6c 20 8e 0e 65 ff b8 5e  |./|..]..l ..e..^|
00000bb0  0a 09 cd 2a bb 5c ee ab  e4 50 f1 c4 c1 1e dc 5b  |...*.\...P.....[|
00000bc0  35 b3 a5 84 53 b1 9a 90  9b 88 a7 97 de 47 27 de  |5...S........G'.|
00000bd0  e8 45 b3 ac b5 fe ed 99  1d 36 8c dc f4 c4 26 63  |.E.......6....&c|
00000be0  dc e5 25 e0 bd 46 8a 01  80 2d 30 59 c0 35 f7 ad  |..%..F...-0Y.5..|
00000bf0  85 11 f1 92 cf 37 ad 06  71 57 c2 b0 81 dd 47 97  |.....7..qW....G.|
00000c00  97 8d be 5a 6a a3 3c 2e  1c 9d 1f fe 2e 0e 80 cc  |...Zj.<.........|
00000c10  6e 7d 30 82 01 04 a1 04  02 02 00 88 a2 81 fb 04  |n}0.............|
00000c20  81 f8 a0 81 f5 30 81 f2  a1 1c 30 1a a0 04 02 02  |.....0....0.....|
00000c30  ff 76 a1 12 04 10 2f ae  09 48 c7 85 b1 09 55 45  |.v..../..H....UE|
00000c40  60 be 63 b1 17 51 a2 81  d1 30 81 ce a0 03 02 01  |`.c..Q...0......|
00000c50  17 a2 81 c6 04 81 c3 25  1c c9 52 44 69 bd f9 d9  |.......%..RDi...|
00000c60  97 ca 43 a1 fb b7 4b ca  d2 d1 a6 ab cc 6f 80 1f  |..C...K......o..|
00000c70  dd e7 27 9c 15 fb 8c 15  f5 bd be ca 00 97 22 70  |..'..........."p|
00000c80  c4 9a 65 94 75 96 8c 3f  7d f4 86 20 b3 6c 93 50  |..e.u..?}.. .l.P|
00000c90  43 e3 45 0c a4 92 e0 b2  f9 d7 45 db 29 4b 67 48  |C.E.......E.)KgH|
00000ca0  a6 e4 9e 78 46 67 a1 03  da 30 8f e4 6f 5f ea 89  |...xFg...0..o_..|
00000cb0  6b a3 77 5d 38 fe 5a 70  c2 57 a2 07 ee 37 39 19  |k.w]8.Zp.W...79.|
00000cc0  92 a9 4e a7 69 9f 49 ab  02 f9 a0 50 44 9f 63 c8  |..N.i.I....PD.c.|
00000cd0  82 46 0c f0 bb 3c e5 b5  b8 14 ad e9 f9 8f 41 13  |.F...<........A.|
00000ce0  74 eb af 9c a5 b4 b2 d5  63 c9 65 91 f0 49 98 74  |t.......c.e..I.t|
00000cf0  0c d1 ad c1 2f ad 46 5e  c5 e5 5e 88 39 fa dd 42  |..../.F^..^.9..B|
00000d00  51 b9 6a ca b9 4e 68 98  a4 ef 34 2b 0a aa 82 f1  |Q.j..Nh...4+....|
00000d10  7d d9 b4 04 be 7a bc 27  f8 96 a4 81 98 30 81 95  |}....z.'.....0..|
00000d20  a0 07 03 05 00 40 81 00  00 a2 14 1b 12 47 45 52  |.....@.......GER|
00000d30  2e 43 4f 52 50 2e 49 4e  54 45 4c 2e 43 4f 4d a3  |.CORP.INTEL.COM.|
00000d40  2d 30 2b a0 03 02 01 03  a1 24 30 22 1b 04 48 54  |-0+......$0"..HT|
00000d50  54 50 1b 1a 66 6d 65 32  65 73 6d 70 72 64 61 73  |TP..fme2esmprdas|
00000d60  2e 63 70 73 2e 69 6e 74  65 6c 2e 63 6f 6d a5 11  |.cps.intel.com..|
00000d70  18 0f 32 30 31 33 30 37  31 33 31 37 31 32 30 38  |..20130713171208|
00000d80  5a a7 06 02 04 51 e1 a8  65 a8 0b 30 09 02 01 17  |Z....Q..e..0....|
00000d90  02 01 03 02 01 01 a9 1d  30 1b 30 19 a0 03 02 01  |........0.0.....|
00000da0  14 a1 12 04 10 44 57 4f  4f 44 48 4f 55 2d 4d 4f  |.....DWOODHOU-MO|
00000db0  42 4c 35 20 20                                    |BL5  |
00000db5
Comment 3 Nalin Dahyabhai 2013-07-15 18:18:33 EDT
(In reply to David Woodhouse from comment #2)
> This ticket is expired now. For my own reference, however, what prevents it
> from being replayed? Is there a very short timeout on the message itself, in
> addition to the expiry of the service ticket?

In addition to the ticket, the client's request (which, for the Kerberos mechanism, is basically an AP-REQ) contains an encrypted authenticator, which in turn includes the client's idea of the current time.  An AP-REQ is accepted by the server if that time is within the server's allowed clock skew (typically five minutes) and if it has not previously been received by the server.  That second criterion is what the replay cache is used to guard against, and is why the replay cache doesn't have to grow without bound forever.

Some clients have clocks that don't have very good resolution, so when they generate multiple authenticators in short succession, they can end up generating more than one with the same timestamp, all but one of which would then be interpreted as a replay by the server.  mod_auth_kerb attempts to disable use of the replay cache to avoid this, depending on the connection to also be encrypted using TLS to avoid giving eavesdroppers a chance to actually attempt a replay attack.  And to protect the document content.

Anyway, the full dump shows that SPNEGO's attempting to use IAKERB, which is attempting to send a TGS-REQ for HTTP/fme2esmprdas.cps.intel.com to GER.CORP.INTEL.COM by way of the HTTP server.  Unfortunately the server's response isn't including any details as to why the client's request was rejected.
Comment 4 David Woodhouse 2013-07-16 06:05:21 EDT
Is this IAKERB request the same as the 'initiator token' in https://bugzilla.redhat.com/show_bug.cgi?id=981477#c3 which is sent *sometimes* but not every time the client fails to obtain a service ticket by talking to the domain controller directly? This never appears to work in our environment; can it be disabled entirely?

Why would it be used when the client *can* talk to the DC directly anyway?

I believe I could obtain a ticket for it manually with 'kvno' at the time this happened. I certainly can *now*, although the site is actually now working in Firefox so evidently something has changed.
Comment 5 Fedora Admin XMLRPC Client 2014-10-06 12:37:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2015-01-09 13:54:03 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 11:08:06 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.